package ee.input.file;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadFile {
	
	private BufferedReader in;
	private boolean EOF = false;
	
	public ReadFile(File file) throws IOException{
		try {
			in = new BufferedReader(new FileReader(file.getAbsolutePath()));
		} catch (FileNotFoundException e) {
			System.out.println("The file was not found" + file.getName() + file.getAbsolutePath());
			e.printStackTrace();
		}
	}
	
	public String getNextLine(){
		if(!EOF){
			String temp = null;
			try {
				temp = in.readLine();
				if(temp == null){
					in.close();
					EOF = true;
					return null;
				}
			} catch (IOException e) {
				System.out.println("error with reading line");
				e.printStackTrace();
			}
			return temp;
		} else {
			return null;
		}
	}

}
