package ee.input.file;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;

public class FileFinder {
	
	public static ArrayList getAllFiles(String path, String contains){
		ArrayList tempArray = new ArrayList();
		FileFinder.findFilesAll(path, tempArray, contains);
		Collections.sort(tempArray);
		return tempArray;
	}

	private static void findFilesAll(String path, ArrayList tempArray, String contains){
		File tempFile = new File(path);
		if(tempFile.isDirectory()){
			String[] list = tempFile.list();
			for(int i = 0; list.length > i; i++){
				FileFinder.findFilesAll(tempFile.getPath()+ "/" + list[i], tempArray, contains);
			}
		} else{
			if(contains == null){
				tempArray.add(tempFile);
			} else if((tempFile.getName().indexOf(contains)) >= 0){
				tempArray.add(tempFile);
			} 
		}
	}
	
	public static void main(String[] args) {
		ArrayList test = FileFinder.getAllFiles("ee/data/", null);
		for(int i = 0; i < test.size(); i++){
			System.out.println(test.get(i));
		}
	}
}
