package ee.input.preprocessing;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import ee.config.Config;
import ee.input.file.FileFinder;
import ee.utilities.StopWords;

public class Preprocessing {
	
	public void analyze(String path) throws IOException{
		
		StopWords sw = new StopWords();
		
		ArrayList fileList = FileFinder.getAllFiles(path, null);
		
		for(int i = 0; i < fileList.size(); i++){
			FilePreprocessing.analyze((File)fileList.get(i), sw);
		}
		
		TotalFrequencyProsessing.analyzeFrequencyFiles();
		//Sessions.analyze();
		//(new Compounds()).compounds();
		//(new TemporalCorrelationPreprocessing()).preprocess();
		
	}
		
	public static void main(String[] Args) throws IOException{
		Preprocessing a = new Preprocessing();
		a.analyze(Config.PATHS_RAW_LOG_PATH);		
	}		
}
