package ee.web;

public class HTMLCode {
	public static int evaluationID = 0;
	
	public final static String HTML_TOP = "<head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />" + 
		"<title>News Search</title><style type=\"text/css\">" +
		"<!-- " +
		"A:link {text-decoration: none}" +
		"A:visited {text-decoration: none}" +
		"A:active {text-decoration: none}" +
		".title1 { font-size: larger font-weight: bold; }" +
		".title2 { font-size: large; font-weight: bold; } " +
		".title3 { font-size: medium; font-weight: bold; } " +
		".small { font-size: small;} " +
		".smaller { font-size: smaller; }" +
		"--></style>" +
//		"<script type=\"text/javascript\">" + 
//		"function BodyWriter(body)" + 
//		"{" + 
//		"  var Win1 = window.open(\"\", \"\", \"width=400,height=200\");" + 
//		"  Win1.document.open();" + 
//		"  Win1.document.write(\"<html><body>\");" + 
//		"  Win1.document.write(body);" + 
//		"  Win1.document.write(\"<input type='button' value='Close' onclick='self.close()'/>\");" + 
//		"  Win1.document.write(\"</body></html>\");" + 
//		"  Win1.document.close();" + 
//		"}" + 
//		"</script>" + 
		"</head><body>";
	
	public final static String HTML_BOTTOM = "</body></html>";
	
	public static String searchForm(String query, String mode, String evaluation, String treeNavigation){
		
		String improved = "";
		String groups = "";
		
		if("improved".equals(mode) || mode == null){
			improved = " checked=\"checked\" ";
		} else if("groups".equals(mode)){
			groups = " checked=\"checked\" ";
		}
		
		String evaluate = "";
		if("true".equals(evaluation)){
			evaluate = " checked=\"checked\" ";
		}
		
		String navigation = "";
		if("true".equals(treeNavigation)){
			navigation = " checked=\"checked\" ";
		}
		
		return "<br /><br /> \n " +
		"<form id=\"search\" name=\"search\" method=\"get\" action=\"\"> \n " +
		"  <table width=\"1000\" border=\"1\" align=\"center\" cellspacing=\"0\" bordercolor=\"#000000\"> \n " +
		"    <tr> \n " +
		"      <td height=\"40\" bgcolor=\"#CCCCCC\"><div align=\"center\" class=\"title2\">News Search<br /> \n " +
		"          </div></td> \n " +
		"    </tr><tr> \n " +
		"      <td height=\"50\" align=\"center\" valign=\"middle\"><label> \n " +
		"        <div align=\"center\"> \n " +
		"          <input name=\"query\" type=\"text\" id=\"query\" value=\"" + query + "\" size=\"60\" /> \n " +
		"          <input name=\"search\" type=\"submit\" id=\"search\" value=\"Search\" /> \n " +
		"        </div> </label></td> </tr> <tr> \n " +
		"      <td><label> \n " +
		"        <div align=\"center\"> \n " +
//		"          <input name=\"mode\" type=\"radio\" value=\"regular\" " + regular + " /> Regular Mode  \n " +
		"          <input name=\"mode\" type=\"radio\" value=\"improved\" " + improved + " /> Improved Mode <label> \n " +
		"          <input name=\"mode\" type=\"radio\" value=\"groups\" " + groups + " /> Improved w/ Extra Groups </label> \n " +
        "			<label><input name=\"navigation\" type=\"checkbox\" id=\"navigation\" value=\"true\" "+ navigation+"/> Tree Navigation</label> \n " +
		"        </div> </label> <div align=\"center\"> \n " +
		"        <input name=\"evaluation\" type=\"checkbox\" id=\"evaluation\" value=\"true\" " + evaluate + " /> \n " +
		"      Evaluation </div></td> \n " +
		"    </tr></table> </form>";

	}
	
	public static String startBlock(int width, String name, int style){
		return "<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"0\" bordercolor=\"#000000\">" + 
		  "<tr><td><div align=\"center\"><span class=\"title"+style+"\">" + name + "</span></div></td></tr><tr><td>";
	}
	
	public static String startBlock(String name, String mode, String treeNavigationNodeID, int style, String query, String evaluation){
		return "<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"0\" bordercolor=\"#000000\">" + 
		  "<tr><td><div align=\"center\"><span class=\"title"+style+"\"> <a href=\"?query="+query+"&evaluation="+evaluation+"&mode="+mode+"&navigation=true&tree_navigation_node_id="+treeNavigationNodeID+"\">"+name+"</a></span></div></td></tr><tr><td>";
	}
	
	public static String endBlock(){
		return "</td></tr></table>";
	}
	
	public static String evaluationButtons(String evaluation){
		evaluationID++;
		
		String buttons = "<tr> \n " +
	     " <td align=\"center\" class=\"smaller\"> \n " +
	     "   <label> <input name=\"score"+evaluationID+"\" type=\"radio\" value=\"not\" /> Not Related Story </label> \n " +
	     "   <label> <input name=\"score"+evaluationID+"\" type=\"radio\" value=\"good\" /> Matching Regular Search </label> \n " +
	     "   <label> <input name=\"score"+evaluationID+"\" type=\"radio\" value=\"relevant\" /> New News Story</label> \n " +
	     " </td> </tr> \n ";
		
		if(!"true".equals(evaluation)){
			buttons ="";
		}
		return buttons;
	}
	
	public static String evaluationSubmit(int queryNumber){
		String option = "";
		for(int i = 1; i < 11; i++){
			if (i != queryNumber){
				option = option + "<option value=\""+i+"\">"+i+"</option> \n";
			} else {
				option = option + "<option value=\""+i+"\" selected=\"selected\">"+i+"</option> \n";
			}
		}
		
		return
		"   <tr class=\"smaller\"> \n " +
		"     <td colspan=\"2\" align=\"center\" valign=\"top\"><br><br><br> \n " +
        "<label>Number of unique news stories: Regular Search \n " +
        "<input name=\"regular_number\" type=\"text\" id=\"regular_number\" size=\"5\" /> \n " +
        "</label> \n " +
        "<label>Improved Search \n " +
        "<input name=\"improved_number\" type=\"text\" id=\"improved_number\" size=\"5\" /> \n " +
        "</label><br><br><br> \n " +
		"       <label>Username \n " +
		"       <input name=\"username\" type=\"text\" id=\"username\" /> \n " +
		"       </label> \n " +
		"         <label>Query Number \n " +
		"        <select name=\"query_number\" id=\"query_number\"> \n " +
		"         <option>NA</option> \n " +
				option + 
		"        </select> \n " +
		"        Register results \n " +
		"        <input name=\"results\" type=\"submit\" id=\"results\" value=\"Submit\" /> \n " +
		"        </label> \n " +
		"    </td> \n " +
		"  </tr>";
	}
	
	public static String treeEvaluation(){
		return "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"> \n " +
		"  <tr class=\"smaller\" align=\"center\"> \n " +
		"    <td> \n " +
		"      -better overview over the query:  \n " +
		"          <label> <input name=\"overview\" type=\"radio\" value=\"poor\" /> poor </label>\n " +   
		"          <label> <input name=\"overview\" type=\"radio\" value=\"medium\" /> partly usefull </label>\n " +
		"      	   <label>	<input name=\"overview\" type=\"radio\" value=\"good\" /> good overview </label><br /> \n " +
		"        -usefull navigation help  \n " +
		"        <label><input name=\"navigate\" type=\"radio\" value=\"poor\" /> poor </label> \n " +
		"      	 <label> <input name=\"navigate\" type=\"radio\" value=\"medium\" /> partly helpfull </label> \n " +
		"        <label> <input name=\"navigate\" type=\"radio\" value=\"good\" /> good help</label></td> \n " +
		"  </tr> \n " +
		"</table>";
	}

}
